(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     11960,        314]
NotebookOptionsPosition[     10813,        271]
NotebookOutlinePosition[     11336,        291]
CellTagsIndexPosition[     11293,        288]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Install and Uninstall", "Section",
 CellChangeTimes->{{3.634734813136292*^9, 3.634734822513987*^9}}],

Cell[CellGroupData[{

Cell["Installer and Uninstaller function definitions", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.389030985563875*^9, 3.389030993267*^9}, {
  3.632573329981061*^9, 3.632573332988405*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"copier", "[", 
   RowBox[{"basedir_", ",", "file_"}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"If", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"FileNames", "[", 
       RowBox[{"ToFileName", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"basedir", ",", "\"\<Applications\>\""}], "}"}], ",", 
         "file"}], "]"}], "]"}], "==", 
      RowBox[{"{", "}"}]}], " ", "||", "\[IndentingNewLine]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"ChoiceDialog", "[", 
        RowBox[{"TextCell", "[", 
         RowBox[{
         "\"\<Destination file exists. Replace it?\>\"", ",", 
          "\"\<Subsubsection\>\""}], "]"}], "]"}], "\[IndentingNewLine]", "&&",
        " ", 
       RowBox[{
        RowBox[{"DeleteFile", "[", 
         RowBox[{"ToFileName", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"basedir", ",", "\"\<Applications\>\""}], "}"}], ",", 
           "file"}], "]"}], "]"}], "=!=", "$Failed"}]}], ")"}]}], ",", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"CopyFile", "[", 
     RowBox[{
      RowBox[{"ToFileName", "[", 
       RowBox[{
        RowBox[{"NotebookDirectory", "[", "]"}], ",", "file"}], "]"}], ",", 
      RowBox[{"ToFileName", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"basedir", ",", "\"\<Applications\>\""}], "}"}], ",", 
        "file"}], "]"}]}], "]"}], ",", "\[IndentingNewLine]", "$Failed"}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.389026818532625*^9, 3.38902688236075*^9}, {
   3.38902692686075*^9, 3.389027012501375*^9}, {3.389027049938875*^9, 
   3.38902711679825*^9}, {3.38902858929825*^9, 3.38902859717325*^9}, {
   3.389028632782625*^9, 3.3890286670795*^9}, {3.389028709313875*^9, 
   3.389028717345125*^9}, 3.389028873345125*^9, {3.389028984876375*^9, 
   3.389029042313875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"installpackage", "[", "name_", "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "dir", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"If", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"dir", "=", 
         RowBox[{"ChoiceDialog", "[", 
          RowBox[{
           RowBox[{"TextCell", "[", 
            RowBox[{
            "\"\<Install the SUSYHD package?\>\"", ",", 
             "\"\<Subsubsection\>\""}], "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\"\<  Yes  \>\"", "\[Rule]", "$UserBaseDirectory"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"\"\<Cancel\>\"", "\[Rule]", "$Canceled"}]}], "}"}]}], 
          "]"}]}], ")"}], "=!=", "$Canceled"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"copier", "[", 
           RowBox[{"dir", ",", "name"}], "]"}], "=!=", " ", "$Failed"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"DialogInput", "[", 
          RowBox[{"Column", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"TextCell", "[", 
              RowBox[{
              "\"\<Package installed.\>\"", ",", "\"\<Subsubsection\>\""}], 
              "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"DefaultButton", "[", 
              RowBox[{"\"\<OK\>\"", ",", 
               RowBox[{"DialogReturn", "[", "True", "]"}]}], "]"}]}], "}"}], 
           "]"}], "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"DialogInput", "[", 
          RowBox[{"Column", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"TextCell", "[", 
              RowBox[{
              "\"\<Installation failed!\>\"", ",", "\"\<Subsubsection\>\""}], 
              "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"DefaultButton", "[", 
              RowBox[{"\"\<OK\>\"", ",", 
               RowBox[{"DialogReturn", "[", "True", "]"}]}], "]"}]}], "}"}], 
           "]"}], "]"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.389028486907625*^9, 3.389028509313875*^9}, {
   3.389029530813875*^9, 3.389029545267*^9}, {3.389030214767*^9, 
   3.389030389626375*^9}, {3.389030573845125*^9, 3.389030577345125*^9}, {
   3.38903060767325*^9, 3.389030704267*^9}, {3.38903076054825*^9, 
   3.389030799188875*^9}, {3.632573028727501*^9, 3.632573031279169*^9}, {
   3.632573063350876*^9, 3.632573072870728*^9}, {3.632573152224037*^9, 
   3.632573226310274*^9}, 3.632573556644039*^9, {3.6347382614200993`*^9, 
   3.634738263387587*^9}, {3.635683531986912*^9, 3.635683533650799*^9}, {
   3.638518850715403*^9, 3.6385188590623198`*^9}, {3.638518998763526*^9, 
   3.63851900010707*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"deleter", "[", 
    RowBox[{"basedir_", ",", "file_"}], "]"}], ":=", "\[IndentingNewLine]", 
   RowBox[{"DeleteFile", "[", 
    RowBox[{"ToFileName", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"basedir", ",", "\"\<Applications\>\""}], "}"}], ",", "file"}],
      "]"}], "]"}]}], "\[IndentingNewLine]"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.389026818532625*^9, 3.38902688236075*^9}, {
   3.38902692686075*^9, 3.389027012501375*^9}, {3.389027049938875*^9, 
   3.38902711679825*^9}, {3.38902858929825*^9, 3.38902859717325*^9}, {
   3.389028632782625*^9, 3.3890286670795*^9}, {3.389028709313875*^9, 
   3.389028717345125*^9}, 3.389028873345125*^9, {3.389028984876375*^9, 
   3.389029042313875*^9}, {3.632573343163196*^9, 3.632573345123258*^9}, 
   3.632573813241612*^9, {3.6347379721161737`*^9, 3.634737987147727*^9}, {
   3.634738020163356*^9, 3.6347380439781227`*^9}, {3.6347382082175407`*^9, 
   3.634738208831544*^9}, {3.634738535557786*^9, 3.634738548476898*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"uninstallpackage", "[", "name_", "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "dir", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"If", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"dir", "=", 
         RowBox[{"ChoiceDialog", "[", 
          RowBox[{
           RowBox[{"TextCell", "[", 
            RowBox[{
            "\"\<Uninstall the SUSYHD package?\>\"", ",", 
             "\"\<Subsubsection\>\""}], "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\"\<  Yes  \>\"", "\[Rule]", "$UserBaseDirectory"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"\"\<Cancel\>\"", "\[Rule]", "$Canceled"}]}], "}"}]}], 
          "]"}]}], ")"}], "=!=", "$Canceled"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"deleter", "[", 
           RowBox[{"dir", ",", "name"}], "]"}], "=!=", " ", "$Failed"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"DialogInput", "[", 
          RowBox[{"Column", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"TextCell", "[", 
              RowBox[{
              "\"\<Package uninstalled.\>\"", ",", "\"\<Subsubsection\>\""}], 
              "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"DefaultButton", "[", 
              RowBox[{"\"\<OK\>\"", ",", 
               RowBox[{"DialogReturn", "[", "True", "]"}]}], "]"}]}], "}"}], 
           "]"}], "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"DialogInput", "[", 
          RowBox[{"Column", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"TextCell", "[", 
              RowBox[{
              "\"\<Uninstallation failed!\>\"", ",", 
               "\"\<Subsubsection\>\""}], "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"DefaultButton", "[", 
              RowBox[{"\"\<OK\>\"", ",", 
               RowBox[{"DialogReturn", "[", "True", "]"}]}], "]"}]}], "}"}], 
           "]"}], "]"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.389028486907625*^9, 3.389028509313875*^9}, {
  3.389029530813875*^9, 3.389029545267*^9}, {3.389030214767*^9, 
  3.389030389626375*^9}, {3.389030573845125*^9, 3.389030577345125*^9}, {
  3.38903060767325*^9, 3.389030704267*^9}, {3.38903076054825*^9, 
  3.389030799188875*^9}, {3.632573028727501*^9, 3.632573031279169*^9}, {
  3.632573063350876*^9, 3.632573072870728*^9}, {3.632573152224037*^9, 
  3.632573226310274*^9}, {3.632573493212667*^9, 3.6325735486438932`*^9}, {
  3.634737794919162*^9, 3.634737804310615*^9}, {3.634738268163857*^9, 
  3.634738269955542*^9}, {3.6356835214502487`*^9, 3.6356835238067408`*^9}, {
  3.6385188816642323`*^9, 3.638518892749124*^9}, {3.6385190058396*^9, 
  3.638519007028936*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Run Installer", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.389031006657625*^9, 3.389031009751375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"installpackage", "[", "\"\<SUSYHD.m\>\"", "]"}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.38903089423575*^9, 3.3890309308295*^9}, {
  3.634734727984625*^9, 3.634734734336248*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Run Uninstaller", "Subsection",
 InitializationCell->True,
 CellChangeTimes->{{3.389031006657625*^9, 3.389031009751375*^9}, {
  3.632573584651381*^9, 3.63257358601125*^9}, {3.635708609382963*^9, 
  3.635708611070039*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"uninstallpackage", "[", "\"\<SUSYHD.m\>\"", "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.38903089423575*^9, 3.3890309308295*^9}, {
  3.634734745272779*^9, 3.6347347570320387`*^9}}]
}, Closed]]
}, Open  ]]
},
InitializationCellEvaluation->True,
InitializationCellWarning->False,
WindowSize->{834, 718},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
ShowSelection->True,
ShowCellLabel->False,
FrontEndVersion->"10.0 for Linux x86 (64-bit) (June 27, 2014)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 106, 1, 67, "Section"],
Cell[CellGroupData[{
Cell[698, 27, 207, 3, 47, "Subsection",
 InitializationCell->True],
Cell[908, 32, 1944, 48, 253, "Input",
 InitializationCell->True],
Cell[2855, 82, 2954, 65, 341, "Input",
 InitializationCell->True],
Cell[5812, 149, 1046, 20, 77, "Input",
 InitializationCell->True],
Cell[6861, 171, 3034, 67, 363, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[9932, 243, 128, 2, 39, "Subsection",
 InitializationCell->True],
Cell[10063, 247, 239, 5, 32, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[10339, 257, 227, 4, 39, "Subsection",
 InitializationCell->True],
Cell[10569, 263, 216, 4, 32, "Input"]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
