(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     28954,        672]
NotebookOptionsPosition[     28064,        637]
NotebookOutlinePosition[     28589,        657]
CellTagsIndexPosition[     28546,        654]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 Cell[BoxData[
  FormBox[
   StyleBox["SUSY",
    FontSize->36], TraditionalForm]],
  FontSize->24],
 StyleBox["HD: ",
  FontWeight->"Bold"],
 StyleBox["Interface",
  FontSize->36,
  FontSlant->"Italic"]
}], "Title",
 CellChangeTimes->{{3.635341207849369*^9, 3.635341246002466*^9}, {
  3.635341279502451*^9, 3.6353413218501453`*^9}}],

Cell[CellGroupData[{

Cell["Initialization", "Subchapter",
 CellChangeTimes->{{3.6353413351291847`*^9, 3.635341342515401*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"<<", "SUSYHD`"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.6353187771698093`*^9, 3.6353187973131943`*^9}, {
  3.635336863056807*^9, 3.6353368861551943`*^9}, {3.6360907218684187`*^9, 
  3.6360907322103453`*^9}, {3.638612760235771*^9, 3.638612771637278*^9}}],

Cell[BoxData["\<\"----------------------------------\\nSUSYHD 1.0\\nJavier \
Pardo Vega and Giovanni \
Villadoro\\nhttps://susyhd.hepforge.org/\\n----------------------------------\
\"\>"], "Print",
 CellChangeTimes->{
  3.6353414810694647`*^9, 3.635343742409603*^9, 3.635345107772509*^9, 
   3.635345639171957*^9, 3.6353457337887783`*^9, 3.635405447920582*^9, 
   3.6360890046651278`*^9, {3.6360890755212383`*^9, 3.636089087814308*^9}, 
   3.636090348896359*^9, {3.636090801845895*^9, 3.636090811665765*^9}, 
   3.636090855684643*^9, 3.636097350138853*^9, 3.636117502681549*^9, 
   3.6372973343721313`*^9, {3.638362012785089*^9, 3.638362014980529*^9}, {
   3.6383624191502647`*^9, 3.638362420973432*^9}, {3.638363733776932*^9, 
   3.638363736452353*^9}, 3.638364304486554*^9, 3.638513725976932*^9, 
   3.638513807409639*^9}]
}, Closed]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"numcode", "=", "False"}], ";", 
  RowBox[{"splitcode", "=", "False"}], ";", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"ho1", ",", "ho2", ",", "ho3", ",", "ho4"}], "}"}], "=", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "1", ",", "1"}], "}"}]}], ";", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"so1", ",", "so2", ",", "so3"}], "}"}], "=", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cellsize", "=", "100"}], ";"}], "\n", 
 RowBox[{"SHDFullPanel", ":=", 
  RowBox[{"Panel", "[", 
   RowBox[{"DynamicModule", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"tanb", "=", "20"}], ",", 
       RowBox[{"M1", "=", "2000"}], ",", 
       RowBox[{"M2", "=", "2000"}], ",", 
       RowBox[{"M3", "=", "2000"}], ",", 
       RowBox[{"\[Mu]", "=", "2000"}], ",", 
       RowBox[{"At", "=", "5000"}], ",", 
       RowBox[{"mQ3", "=", "2000"}], ",", 
       RowBox[{"mU3", "=", "2000"}], ",", 
       RowBox[{"mD3", "=", "2000"}], ",", 
       RowBox[{"mQ2", "=", "2000"}], ",", 
       RowBox[{"mU2", "=", "2000"}], ",", 
       RowBox[{"mD2", "=", "2000"}], ",", 
       RowBox[{"mQ1", "=", "2000"}], ",", 
       RowBox[{"mU1", "=", "2000"}], ",", 
       RowBox[{"mD1", "=", "2000"}], ",", 
       RowBox[{"mL3", "=", "2000"}], ",", 
       RowBox[{"mE3", "=", "2000"}], ",", 
       RowBox[{"mL2", "=", "2000"}], ",", 
       RowBox[{"mE2", "=", "2000"}], ",", 
       RowBox[{"mL1", "=", "2000"}], ",", 
       RowBox[{"mE1", "=", "2000"}], ",", 
       RowBox[{"mA", "=", "2000"}], ",", 
       RowBox[{"mtop", "=", "173.34"}], ",", 
       RowBox[{"alphas", "=", "0.1185"}], ",", 
       RowBox[{"arg", "=", "3"}], ",", 
       RowBox[{"sch", "=", "\"\<DRbar\>\""}]}], "}"}], ",", 
     RowBox[{"Grid", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Row", "[", 
           RowBox[{"{", 
            RowBox[{"\"\<Input Param:  tan\[Beta]   \>\"", ",", 
             RowBox[{"RadioButtonBar", "[", 
              RowBox[{
               RowBox[{"Dynamic", "[", "arg", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                 "2", "\[Rule]", 
                  "\"\<+\!\(\*SubscriptBox[\(m\), \(Q3\)]\)\>\""}], ",", 
                 RowBox[{
                 "3", "\[Rule]", 
                  "\"\<+\!\(\*SubscriptBox[\(A\), \(t\)]\)\>\""}], ",", 
                 RowBox[{
                 "4", "\[Rule]", 
                  "\"\<+\!\(\*SubscriptBox[\(M\), \(3\)]\)\>\""}], ",", 
                 RowBox[{"5", "\[Rule]", "\"\<+\[Mu]\>\""}], ",", 
                 RowBox[{
                 "6", "\[Rule]", 
                  "\"\<+\!\(\*SubscriptBox[\(m\), \(U3\)]\)\>\""}], ",", 
                 RowBox[{
                 "8", "\[Rule]", 
                  "\"\<+\!\(\*SubscriptBox[\(M\), \(1, 2\)]\)\>\""}], ",", 
                 RowBox[{"22", "\[Rule]", "\"\<All\>\""}]}], "}"}]}], "]"}], 
             ",", 
             RowBox[{"Row", "@", 
              RowBox[{"{", 
               RowBox[{"\"\<   \!\(\*
StyleBox[\"|\",
FontSize->18]\)   Scheme:\>\"", ",", 
                RowBox[{"RadioButtonBar", "[", 
                 RowBox[{
                  RowBox[{"Dynamic", "@", "sch"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    "\"\<DRbar\>\"", "\[Rule]", 
                    "\"\<\!\(\*OverscriptBox[\(DR\), \(_\)]\)\>\""}], ",", 
                    RowBox[{"\"\<OS\>\"", "\[Rule]", "\"\<OS\>\""}]}], 
                   "}"}]}], "]"}]}], "}"}]}]}], "}"}], "]"}], ",", 
          "SpanFromLeft", ",", "SpanFromLeft"}], "}"}], ",", 
        RowBox[{"{", "\"\<\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\"\<\!\(\*SubscriptBox[\(M\), \(3\)]\)=\>\"", 
           RowBox[{"InputField", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", "M3", "]"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "cellsize"}]}], "]"}]}], ",", 
          RowBox[{"\"\<\!\(\*SubscriptBox[\(M\), \(2\)]\)=\>\"", 
           RowBox[{"InputField", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", "M2", "]"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "cellsize"}]}], "]"}]}], ",", 
          RowBox[{"\"\<\!\(\*SubscriptBox[\(M\), \(1\)]\)=\>\"", 
           RowBox[{"InputField", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", "M1", "]"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "cellsize"}]}], "]"}]}]}], "}"}],
         ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\"\<\[Mu]=\>\"", 
           RowBox[{"InputField", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", "\[Mu]", "]"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "cellsize"}]}], "]"}]}], ",", 
          RowBox[{"\"\<\!\(\*SubscriptBox[\(A\), \(t\)]\)=\>\"", 
           RowBox[{"InputField", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", "At", "]"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "cellsize"}]}], "]"}]}], ",", 
          RowBox[{"\"\<\!\(\*SubscriptBox[\(m\), \(A\)]\)=\>\"", 
           RowBox[{"InputField", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", "mA", "]"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "cellsize"}]}], "]"}]}]}], "}"}],
         ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\"\<\!\(\*SubscriptBox[\(m\), \(Q3\)]\)=\>\"", 
           RowBox[{"InputField", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", "mQ3", "]"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "cellsize"}]}], "]"}]}], ",", 
          RowBox[{"\"\<\!\(\*SubscriptBox[\(m\), \(Q2\)]\)=\>\"", 
           RowBox[{"InputField", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", "mQ2", "]"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "cellsize"}]}], "]"}]}], ",", 
          RowBox[{"\"\<\!\(\*SubscriptBox[\(m\), \(Q1\)]\)=\>\"", 
           RowBox[{"InputField", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", "mQ1", "]"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "cellsize"}]}], "]"}]}]}], "}"}],
         ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\"\<\!\(\*SubscriptBox[\(m\), \(U3\)]\)=\>\"", 
           RowBox[{"InputField", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", "mU3", "]"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "cellsize"}]}], "]"}]}], ",", 
          RowBox[{"\"\<\!\(\*SubscriptBox[\(m\), \(U2\)]\)=\>\"", 
           RowBox[{"InputField", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", "mU2", "]"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "cellsize"}]}], "]"}]}], ",", 
          RowBox[{"\"\<\!\(\*SubscriptBox[\(m\), \(U1\)]\)=\>\"", 
           RowBox[{"InputField", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", "mU1", "]"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "cellsize"}]}], "]"}]}]}], "}"}],
         ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\"\<\!\(\*SubscriptBox[\(m\), \(D3\)]\)=\>\"", 
           RowBox[{"InputField", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", "mD3", "]"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "cellsize"}]}], "]"}]}], ",", 
          RowBox[{"\"\<\!\(\*SubscriptBox[\(m\), \(D2\)]\)=\>\"", 
           RowBox[{"InputField", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", "mD2", "]"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "cellsize"}]}], "]"}]}], ",", 
          RowBox[{"\"\<\!\(\*SubscriptBox[\(m\), \(D1\)]\)=\>\"", 
           RowBox[{"InputField", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", "mD1", "]"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "cellsize"}]}], "]"}]}]}], "}"}],
         ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\"\<\!\(\*SubscriptBox[\(m\), \(L3\)]\)=\>\"", 
           RowBox[{"InputField", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", "mL3", "]"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "cellsize"}]}], "]"}]}], ",", 
          RowBox[{"\"\<\!\(\*SubscriptBox[\(m\), \(L2\)]\)=\>\"", 
           RowBox[{"InputField", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", "mL2", "]"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "cellsize"}]}], "]"}]}], ",", 
          RowBox[{"\"\<\!\(\*SubscriptBox[\(m\), \(L1\)]\)=\>\"", 
           RowBox[{"InputField", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", "mL1", "]"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "cellsize"}]}], "]"}]}]}], "}"}],
         ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\"\<\!\(\*SubscriptBox[\(m\), \(E3\)]\)=\>\"", 
           RowBox[{"InputField", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", "mE3", "]"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "cellsize"}]}], "]"}]}], ",", 
          RowBox[{"\"\<\!\(\*SubscriptBox[\(m\), \(E2\)]\)=\>\"", 
           RowBox[{"InputField", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", "mE2", "]"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "cellsize"}]}], "]"}]}], ",", 
          RowBox[{"\"\<\!\(\*SubscriptBox[\(m\), \(E1\)]\)=\>\"", 
           RowBox[{"InputField", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", "mE1", "]"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "cellsize"}]}], "]"}]}]}], "}"}],
         ",", 
        RowBox[{"{", 
         RowBox[{"\"\<\>\"", ",", 
          RowBox[{"\"\<tan(\[Beta])=\>\"", 
           RowBox[{"InputField", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", "tanb", "]"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "cellsize"}]}], "]"}]}], ",", 
          "\"\<\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
         "\"\<\>\"", ",", "\"\<___________________________________\>\""}], 
         "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"\"\<\>\"", ",", 
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"Dynamic", "[", 
             RowBox[{"SetSMparameters", "[", 
              RowBox[{"mtop", ",", "alphas"}], "]"}], "]"}], ",", 
            "Transparent"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"\"\<\>\"", ",", 
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{"\"\<\!\(\*
StyleBox[SubscriptBox[\"m\", \"h\"],
FontSlant->\"Italic\"]\) = \>\"", ",", 
               RowBox[{"Dynamic", "@", 
                RowBox[{"SetAccuracy", "[", 
                 RowBox[{
                  RowBox[{"MHiggs", "[", 
                   RowBox[{
                    RowBox[{"Switch", "[", 
                    RowBox[{"arg", ",", "2", ",", 
                    RowBox[{"{", 
                    RowBox[{"tanb", ",", "mQ3"}], "}"}], ",", "3", ",", 
                    RowBox[{"{", 
                    RowBox[{"tanb", ",", "mQ3", ",", "At"}], "}"}], ",", "4", 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"tanb", ",", "mQ3", ",", "At", ",", "M3"}], "}"}],
                     ",", "5", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "tanb", ",", "mQ3", ",", "At", ",", "M3", ",", "\[Mu]"}], 
                    "}"}], ",", "6", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "tanb", ",", "mQ3", ",", "mU3", ",", "At", ",", "M3", ",",
                     "\[Mu]"}], "}"}], ",", "8", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "tanb", ",", "mQ3", ",", "mU3", ",", "At", ",", "M1", ",",
                     "M2", ",", "M3", ",", "\[Mu]"}], "}"}], ",", "22", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "tanb", ",", "M1", ",", "M2", ",", "M3", ",", "\[Mu]", 
                    ",", "At", ",", "mQ3", ",", "mU3", ",", "mD3", ",", "mQ2",
                     ",", "mU2", ",", "mD2", ",", "mQ1", ",", "mU1", ",", 
                    "mD1", ",", "mL3", ",", "mE3", ",", "mL2", ",", "mE2", 
                    ",", "mL1", ",", "mE1", ",", "mA"}], "}"}]}], "]"}], ",", 
                    RowBox[{"numerical", "\[Rule]", "numcode"}], ",", 
                    RowBox[{"split", "\[Rule]", "splitcode"}], ",", 
                    RowBox[{"hiOrd", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"ho1", ",", "ho2", ",", "ho3", ",", "ho4"}], 
                    "}"}]}], ",", 
                    RowBox[{"scheme", "\[Rule]", "sch"}]}], "]"}], ",", 
                  RowBox[{"Min", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Accuracy", "@", 
                    RowBox[{"SetPrecision", "[", 
                    RowBox[{
                    RowBox[{"\[CapitalDelta]MHiggs", "[", 
                    RowBox[{
                    RowBox[{"Switch", "[", 
                    RowBox[{"arg", ",", "2", ",", 
                    RowBox[{"{", 
                    RowBox[{"tanb", ",", "mQ3"}], "}"}], ",", "3", ",", 
                    RowBox[{"{", 
                    RowBox[{"tanb", ",", "mQ3", ",", "At"}], "}"}], ",", "4", 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"tanb", ",", "mQ3", ",", "At", ",", "\[Mu]"}], 
                    "}"}], ",", "5", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "tanb", ",", "mQ3", ",", "At", ",", "M2", ",", "\[Mu]"}], 
                    "}"}], ",", "6", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "tanb", ",", "mQ3", ",", "mU3", ",", "At", ",", "M2", ",",
                     "\[Mu]"}], "}"}], ",", "8", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "tanb", ",", "mQ3", ",", "mU3", ",", "At", ",", "M1", ",",
                     "M2", ",", "M3", ",", "\[Mu]"}], "}"}], ",", "22", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "tanb", ",", "M1", ",", "M2", ",", "M3", ",", "\[Mu]", 
                    ",", "At", ",", "mQ3", ",", "mU3", ",", "mD3", ",", "mQ2",
                     ",", "mU2", ",", "mD2", ",", "mQ1", ",", "mU1", ",", 
                    "mD1", ",", "mL3", ",", "mE3", ",", "mL2", ",", "mE2", 
                    ",", "mL1", ",", "mE1", ",", "mA"}], "}"}]}], "]"}], ",", 
                    RowBox[{"hiOrd", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"ho1", ",", "ho2", ",", "ho3", ",", "ho4"}], 
                    "}"}]}], ",", 
                    RowBox[{"numerical", "\[Rule]", "numcode"}], ",", 
                    RowBox[{"scheme", "\[Rule]", "sch"}], ",", 
                    RowBox[{"sources", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"so1", ",", "so2", ",", "so3"}], "}"}]}]}], "]"}],
                     ",", "2"}], "]"}]}], ",", "5"}], "}"}], "]"}]}], "]"}]}],
                ",", " ", "\"\< \[PlusMinus] \>\"", ",", 
               RowBox[{"Dynamic", "[", 
                RowBox[{"SetPrecision", "[", 
                 RowBox[{
                  RowBox[{"\[CapitalDelta]MHiggs", "[", 
                   RowBox[{
                    RowBox[{"Switch", "[", 
                    RowBox[{"arg", ",", "2", ",", 
                    RowBox[{"{", 
                    RowBox[{"tanb", ",", "mQ3"}], "}"}], ",", "3", ",", 
                    RowBox[{"{", 
                    RowBox[{"tanb", ",", "mQ3", ",", "At"}], "}"}], ",", "4", 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"tanb", ",", "mQ3", ",", "At", ",", "\[Mu]"}], 
                    "}"}], ",", "5", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "tanb", ",", "mQ3", ",", "At", ",", "M2", ",", "\[Mu]"}], 
                    "}"}], ",", "6", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "tanb", ",", "mQ3", ",", "mU3", ",", "At", ",", "M2", ",",
                     "\[Mu]"}], "}"}], ",", "8", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "tanb", ",", "mQ3", ",", "mU3", ",", "At", ",", "M1", ",",
                     "M2", ",", "M3", ",", "\[Mu]"}], "}"}], ",", "22", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "tanb", ",", "M1", ",", "M2", ",", "M3", ",", "\[Mu]", 
                    ",", "At", ",", "mQ3", ",", "mU3", ",", "mD3", ",", "mQ2",
                     ",", "mU2", ",", "mD2", ",", "mQ1", ",", "mU1", ",", 
                    "mD1", ",", "mL3", ",", "mE3", ",", "mL2", ",", "mE2", 
                    ",", "mL1", ",", "mE1", ",", "mA"}], "}"}]}], "]"}], ",", 
                    RowBox[{"hiOrd", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"ho1", ",", "ho2", ",", "ho3", ",", "ho4"}], 
                    "}"}]}], ",", 
                    RowBox[{"numerical", "\[Rule]", "numcode"}], ",", 
                    RowBox[{"scheme", "\[Rule]", "sch"}], ",", 
                    RowBox[{"sources", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"so1", ",", "so2", ",", "so3"}], "}"}]}]}], "]"}],
                   ",", "2"}], "]"}], "]"}], ",", "\"\< GeV\>\""}], "}"}], 
             "]"}], ",", "16"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
         "\"\<                                                       \>\"", 
          ",", "\"\<___________________________________\>\""}], "}"}], ",", 
        RowBox[{"{", "\"\<\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Row", "@", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Grid", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                 "\"\<O(\!\(\*SubscriptBox[\(\[Alpha]\), \
\(s\)]\)\!\(\*SubscriptBox[\(\[Alpha]\), \(t\)]\))\>\"", ",", 
                  RowBox[{"RadioButtonBar", "[", 
                   RowBox[{
                    RowBox[{"Dynamic", "@", "ho1"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"1", "\[Rule]", "On"}], ",", 
                    RowBox[{"0", "\[Rule]", "Off"}]}], "}"}]}], "]"}]}], 
                 "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                 "\"\<O(\!\(\*SubsuperscriptBox[\(\[Alpha]\), \(t\), \
\(2\)]\))\>\"", ",", 
                  RowBox[{"RadioButtonBar", "[", 
                   RowBox[{
                    RowBox[{"Dynamic", "@", "ho2"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"1", "\[Rule]", "On"}], ",", 
                    RowBox[{"0", "\[Rule]", "Off"}]}], "}"}]}], "]"}]}], 
                 "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                 "\"\<O(\!\(\*SubscriptBox[\(\[Alpha]\), \
\(b\)]\)(\!\(\*SubscriptBox[\(\[Alpha]\), \(s, \
t\)]\)tan(\[Beta])\!\(\*SuperscriptBox[\()\), \(n\)]\))\>\"", ",", 
                  RowBox[{"RadioButtonBar", "[", 
                   RowBox[{
                    RowBox[{"Dynamic", "@", "ho3"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"1", "\[Rule]", "On"}], ",", 
                    RowBox[{"0", "\[Rule]", "Off"}]}], "}"}]}], "]"}]}], 
                 "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                 "\"\<O(\!\(\*SubsuperscriptBox[\(\[Alpha]\), \(s\), \
\(3\)]\)) on \!\(\*SubscriptBox[\(m\), \(top\)]\)\>\"", ",", 
                  RowBox[{"RadioButtonBar", "[", 
                   RowBox[{
                    RowBox[{"Dynamic", "@", "ho4"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"1", "\[Rule]", "On"}], ",", 
                    RowBox[{"0", "\[Rule]", "Off"}]}], "}"}]}], "]"}]}], 
                 "}"}]}], "}"}], "]"}], ",", "\"\<               \>\"", ",", 
             RowBox[{"Grid", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                 "\"\<\!\(\*SubscriptBox[\(\[CapitalDelta]\), \
\(SM\)]\)\!\(\*SubscriptBox[\(m\), \(H\)]\)\>\"", ",", 
                  RowBox[{"RadioButtonBar", "[", 
                   RowBox[{
                    RowBox[{"Dynamic", "@", "so1"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"1", "\[Rule]", "On"}], ",", 
                    RowBox[{"0", "\[Rule]", "Off"}]}], "}"}]}], "]"}]}], 
                 "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                 "\"\<\!\(\*SubscriptBox[\(\[CapitalDelta]\), \(SUSY\)]\)\!\(\
\*SubscriptBox[\(m\), \(H\)]\)\>\"", ",", 
                  RowBox[{"RadioButtonBar", "[", 
                   RowBox[{
                    RowBox[{"Dynamic", "@", "so2"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"1", "\[Rule]", "On"}], ",", 
                    RowBox[{"0", "\[Rule]", "Off"}]}], "}"}]}], "]"}]}], 
                 "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                 "\"\<\!\(\*SubscriptBox[\(\[CapitalDelta]\), \
\(EFT\)]\)\!\(\*SubscriptBox[\(m\), \(H\)]\)\>\"", ",", 
                  RowBox[{"RadioButtonBar", "[", 
                   RowBox[{
                    RowBox[{"Dynamic", "@", "so3"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"1", "\[Rule]", "On"}], ",", 
                    RowBox[{"0", "\[Rule]", "Off"}]}], "}"}]}], "]"}]}], 
                 "}"}]}], "}"}], "]"}], ",", "\"\<                \>\""}], 
            "}"}]}], ",", "SpanFromLeft", ",", "SpanFromLeft"}], 
         "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{"Column", "@", 
           RowBox[{"{", 
            RowBox[{"\"\<Numerical (Slow)\>\"", ",", 
             RowBox[{"RadioButtonBar", "[", 
              RowBox[{
               RowBox[{"Dynamic", "@", "numcode"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"True", "\[Rule]", "On"}], ",", 
                 RowBox[{"False", "\[Rule]", "Off"}]}], "}"}]}], "]"}], ",", 
             "\"\<        Split (Slow)\>\"", ",", 
             RowBox[{"RadioButtonBar", "[", 
              RowBox[{
               RowBox[{"Dynamic", "@", "splitcode"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"True", "\[Rule]", "On"}], ",", 
                 RowBox[{"False", "\[Rule]", "Off"}]}], "}"}]}], "]"}]}], 
            "}"}]}], "*)"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
         "\"\<\>\"", ",", "\"\<___________________________________\>\""}], 
         "}"}], ",", 
        RowBox[{"{", "\"\<\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Row", "@", 
           RowBox[{"{", 
            RowBox[{"\"\<\!\(\*SubscriptBox[\(m\), \(t\)]\)=\>\"", ",", 
             RowBox[{"InputField", "[", 
              RowBox[{
               RowBox[{"Dynamic", "[", "mtop", "]"}], ",", 
               RowBox[{"ImageSize", "\[Rule]", 
                RowBox[{"cellsize", "/", "2"}]}]}], "]"}], ",", 
             "\"\< GeV\>\""}], "}"}]}], ",", 
          RowBox[{"Row", "@", 
           RowBox[{"{", 
            RowBox[{
            "\"\<\!\(\*SubscriptBox[\(\[Alpha]\), \
\(s\)]\)(\!\(\*SubscriptBox[\(m\), \(Z\)]\))=\>\"", ",", 
             RowBox[{"InputField", "[", 
              RowBox[{
               RowBox[{"Dynamic", "[", "alphas", "]"}], ",", 
               RowBox[{"ImageSize", "\[Rule]", 
                RowBox[{"cellsize", "/", "2"}]}]}], "]"}], ",", "\"\< \>\""}],
             "}"}]}]}], "}"}]}], "}"}], "]"}]}], "]"}], "]"}]}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.63533653192656*^9, 3.635336535391945*^9}, {
   3.635336911673862*^9, 3.635336953246512*^9}, {3.635339439500351*^9, 
   3.635339487931518*^9}, {3.635340621369719*^9, 3.6353406318180647`*^9}, {
   3.635341006341543*^9, 3.6353410139678087`*^9}, {3.6353411207612247`*^9, 
   3.635341121109469*^9}, {3.635343982214881*^9, 3.635343983406518*^9}, {
   3.636088939930768*^9, 3.636088995503563*^9}, {3.6360890952792997`*^9, 
   3.636089324066884*^9}, {3.636090194149843*^9, 3.6360901975655107`*^9}, {
   3.636090271512701*^9, 3.636090272932334*^9}, {3.6360903144303513`*^9, 
   3.6360903372782593`*^9}, {3.63609065345092*^9, 3.636090664426415*^9}, {
   3.636090779363269*^9, 3.636090783249604*^9}, {3.636090836202146*^9, 
   3.6360908477768593`*^9}, 3.636090904137599*^9, {3.636091056096662*^9, 
   3.636091071439404*^9}, {3.636091248499958*^9, 3.636091249035483*^9}, 
   3.638363403048757*^9, 3.6383634338132687`*^9, {3.638363500044572*^9, 
   3.6383635050747757`*^9}, {3.638363536904592*^9, 3.6383635872474737`*^9}, {
   3.6383636210776377`*^9, 3.638363622869205*^9}, {3.6385137508658648`*^9, 
   3.638513751045521*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Interface", "Subchapter",
 CellChangeTimes->{{3.6353414467645187`*^9, 3.635341451711673*^9}, {
  3.636089711961556*^9, 3.6360897119857407`*^9}}],

Cell[BoxData["SHDFullPanel"], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.635341457774858*^9, 3.6353414649943523`*^9}}]
}, Open  ]]
}, Open  ]]
},
InitializationCellEvaluation->True,
InitializationCellWarning->False,
WindowSize->{834, 718},
WindowMargins->{{Automatic, 197}, {Automatic, 0}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
ShowSelection->True,
ShowCellLabel->False,
FrontEndVersion->"10.0 for Linux x86 (64-bit) (June 27, 2014)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 349, 13, 98, "Title"],
Cell[CellGroupData[{
Cell[941, 39, 104, 1, 64, "Subchapter"],
Cell[CellGroupData[{
Cell[1070, 44, 427, 9, 55, "Input",
 InitializationCell->True],
Cell[1500, 55, 825, 13, 100, "Print"]
}, Closed]],
Cell[2340, 71, 25373, 551, 1974, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[27750, 627, 150, 2, 48, "Subchapter"],
Cell[27903, 631, 133, 2, 32, "Input",
 InitializationCell->True]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
